package org.freecompany.brimstone.module;

import java.net.FileNameMap;
import org.freecompany.util.multicaster.Notification;

import static org.freecompany.util.multicaster.NotificationMulticaster.logging;

public class ContentTypeMap implements FileNameMap {

	protected static final Notification notifier = logging();

	protected FileNameMap parent;

	public ContentTypeMap( final FileNameMap parent) {
		this.parent = parent;
	}

	public String getContentTypeFor( final String name) {
		notifier.debug( "Looking up content type for ''{0}''.", name);
		if ( name.endsWith( ".module")) return "application/brimstone-module";
		else if ( parent != null) return parent.getContentTypeFor( name);
		return null;
	}
}
