package org.freecompany.brimstone.module;

import java.util.EmptyStackException;
import java.util.Stack;
import org.freecompany.util.core.Pair;

public class ThreadTracker extends ThreadLocal< Stack< Pair< ClassLoader, String>>> {

	/**
	 * Initializes a thread's new value by creating a fresh stack for storing
	 * pairs of class loading requests.
	 *
	 * @return the value to be used to initialize entering threads.
	 */
	public final Stack< Pair< ClassLoader, String>> initialValue() {
		return new Stack< Pair< ClassLoader, String>>();
	}
}
